> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List swap configuration



## OpenAPI

````yaml /openapi.json get /exchange/swap-configurations
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /exchange/swap-configurations:
    get:
      tags:
        - exchange
      summary: List swap configuration
      operationId: Exchange.Web.SwapConfigurationController.list
      parameters:
        - description: Before Cursor
          in: query
          name: before
          required: false
          schema:
            type: string
        - description: After Cursor
          in: query
          name: after
          required: false
          schema:
            type: string
        - description: Limit
          in: query
          name: limit
          required: false
          schema:
            type: integer
        - description: ''
          in: query
          name: type
          required: false
          schema:
            description: Standing order type
            enum:
              - buy
              - sell
            type: string
        - description: ''
          in: query
          name: symbol
          required: false
          schema:
            description: Standing order symbol
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SwapConfigurationsResponse'
          description: Swap Configuration List
      callbacks: {}
components:
  schemas:
    SwapConfigurationsResponse:
      description: Response schema for multiple swap configurations
      properties:
        data:
          description: Swap configurations
          items:
            $ref: '#/components/schemas/SwapConfiguration'
          type: array
        pagination:
          $ref: '#/components/schemas/Pagination'
      title: SwapConfigurationsResponse
      type: object
    SwapConfiguration:
      description: Response schema for a single swap configuration
      properties:
        id:
          description: Id
          type: string
        order_type:
          description: Order type
          enum:
            - sell
            - buy
          type: string
        symbol:
          description: Currency pair
          type: string
        ttl:
          description: Price TTL, in seconds
          nullable: true
          type: integer
      title: SwapConfiguration
      type: object
    Pagination:
      example:
        after: b101f718-d133-450c-a572-c281c7341803
        before: null
        limit: 15
      properties:
        after:
          description: After cursor
          nullable: true
          type: string
        before:
          description: Before cursor
          nullable: true
          type: string
        limit:
          description: Limit
          type: integer
      title: Pagination
      type: object

````